Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.expr
Enum Return

    java.lang.Object
      java.lang.Enum<Return>
          org.basex.query.expr.Return

All Implemented Interfaces:
  Serializable, Comparable<Return>

    public enum Return

extends Enum<Return>

Return types.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Enum Constant Summary
`BLN` Single Boolean.
`NOD` Node.
`NODSEQ` Nodes.
`NONUM` Non-numeric item.
`NONUMSEQ` Non-numeric sequence.
`NUM` Single Number.
`NUMSEQ` Numeric sequence.
`SEQ` Sequence.
`STR` String.

Field Summary
`boolean` | `node` Node result (return type could be a node).
`boolean` | `num` Numeric result (return type could be numeric).
`boolean` | `single` Single result (always returns one value).

Method Summary
`static Return` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Return[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLN

    public static final Return BLN

  Single Boolean.

### NONUM

    public static final Return NONUM

  Non-numeric item.

### NONUMSEQ

    public static final Return NONUMSEQ

  Non-numeric sequence.

### NOD

    public static final Return NOD

  Node.

### NODSEQ

    public static final Return NODSEQ

  Nodes.

### NUM

    public static final Return NUM

  Single Number.

### NUMSEQ

    public static final Return NUMSEQ

  Numeric sequence.

### SEQ

    public static final Return SEQ

  Sequence.

### STR

    public static final Return STR

  String.

Field Detail

### single

    public boolean single

  Single result (always returns one value).

### num

    public boolean num

  Numeric result (return type could be numeric).

### node

    public boolean node

  Node result (return type could be a node).

Method Detail

### values

    public static Return[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Return c : Return.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Return valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD